> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign Company Authorization Documents

> Sign authorization documents required to onboard a company: Tax Information Terms, Reporting Agent Terms, Direct Deposit, and Terms and Conditions Forms.



## OpenAPI

````yaml openapi/zeal-api.json post /companies/authorization_documents
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies/authorization_documents:
    post:
      summary: Sign Company Authorization Documents
      description: Sign Authorization Documents necessary to onboard a company.
      operationId: create-company-authorization-documents
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - document_key
                - signature
              properties:
                companyID:
                  type: string
                  description: companyID of the company
                document_key:
                  type: string
                  description: >-
                    type of the Authorization Document. Accepts 8655, 2848, or
                    all for all document types.
                  enum:
                    - '8655'
                    - '2848'
                    - all
                signature:
                  type: string
                  description: base64 signature to pass and sign authorization document(s)
            examples:
              Request Example:
                value:
                  companyID: 238cc39eui4xc873kej94
                  document_key: '8655'
                  signature: WmVhbA==
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - message: Document successfully signed
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Document successfully signed
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Invalid documentKey
                        code: 17
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Invalid documentKey
                        code:
                          type: integer
                          example: 17
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````